## org.apache.mahout.math.function
Interface ObjectObjectFunction<T>

    public interface ObjectObjectFunction<T>

Interface that represents a function object: a function that takes two arguments and returns a single value.

Method Summary
`T` `apply(T x, T y)` Applies a function to two arguments.

Method Detail

### apply

    T apply(T x,
            T y)

  Applies a function to two arguments.

  Parameters:
    `x` - the first argument passed to the function.
    `y` - the second argument passed to the function.
  Returns:
    the result of the function.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.